﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Windows.Input;
using Realms;
using Xamarin.Forms;
using Syncfusion.ListView.XForms;
using System.Collections.ObjectModel;

namespace QuickJournal
{
    public class ViewModel
    {
        private Realm _realm;
        public Command<Syncfusion.ListView.XForms.ItemTappedEventArgs> TapCmd { get; }

        public ObservableCollection<Model> Entries { get; private set; }

        public ViewModel()
        {
            _realm = Realm.GetInstance();

            Entries = new ObservableCollection<Model>(_realm.All<Model>());

            for (int i = 0; i < 15; i++)
                AddEntry();
            TapCmd = new Command<Syncfusion.ListView.XForms.ItemTappedEventArgs>(Delete);
        }

        private void Delete(Syncfusion.ListView.XForms.ItemTappedEventArgs obj)
        {
            _realm.Write(() =>
            {
                _realm.Remove((Model)obj.ItemData);
            });
            Entries.Remove((Model)obj.ItemData);
        }

        private void AddEntry()
        {
            var random = new Random();
            var transaction = _realm.BeginWrite();
            var entry = _realm.Add(new Model
            {
                Title = EmployeeNames[random.Next(0, 4)],
            });

            transaction.Commit();
        }

        string[] EmployeeNames = new string[]
        {
            "Kyle",
            "Gina",
            "Irene",
            "Katie",
            "Michael",
        };
    }
}

